#ifndef SENSORS_COMPONENT
#define SENSORS_COMPONENT
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "util.h"
#include "driver/gpio.h"
#include <bme680.h>
#include "esp_mac.h"

#include "../hw/mcp3550.h"

#include "../hw/bme680b.h"
#include "../hw/ccs811.h"
#include "../hw/i2cbrn.h"

#include "../hw/mcp23018.h"
#include "../hw/ina260.h"
#include "../hw/mpu9250.h"
#include "esp_log.h"

#define LOW_POWER_MODE 0
#define HIGH_POWER_MODE 1
extern uint8_t powerMode;


extern uint8_t foundDevices[5];
extern uint8_t prevDevices[5];

void init_connected();
void update_devices();
void setPowerMode(uint8_t powerModeIn);

void i2c_sensors_task(void *pvParameters);

#endif